# This file created by conda-build 3.21.9
# ------------------------------------------------

package:
  name: numpy-base
  version: 1.23.1
source:
  patches:
    - patches/0001-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
    - patches/0002-intel_mkl-version.patch
    - patches/0003-intel_init_mkl.patch
  sha256: d748ef349bfef2e1194b59da37ed5a29c19ea8d7e6342019921ba2ba4fd8b624
  url: https://github.com/numpy/numpy/releases/download/v1.23.1/numpy-1.23.1.tar.gz
build:
  entry_points:
    - f2py = numpy.f2py.f2py2e:main
  number: 0
  string: py38ha15fc14_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.6.15 py38h06a4308_0
    - cython 0.29.30 py38h6a678d5_0
    - intel-openmp 2021.4.0 h06a4308_3561
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-devel 2021.4.0 h66538d2_640
    - mkl-include 2021.4.0 h06a4308_640
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1q h7f8727e_0
    - pip 22.1.2 py38h06a4308_0
    - python 3.8.13 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py38h06a4308_0
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - blas 1.0 mkl
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - mkl >=2021.4.0,<2022.0a0
    - mkl-service >=2.3.0,<3.0a0
    - python >=3.8,<3.9.0a0
test:
  commands:
    - test -e $SP_DIR/numpy/distutils/site.cfg
about:
  description: 'NumPy is the fundamental package needed for scientific computing with
    Python.

    '
  dev_url: https://github.com/numpy/numpy
  doc_source_url: https://github.com/numpy/numpy/tree/master/doc
  doc_url: https://docs.scipy.org/doc/numpy/reference/
  home: https://numpy.org/
  license: BSD-3-Clause
  license_file: LICENSE.txt
  lisense_family: BSD
  summary: Array processing for numbers, strings, records, and objects.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 651b31df-5100-45ed-be4d-26e47a310df3
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
    - rgommers
  remote_url: git@github.com:AnacondaRecipes/numpy-feedstock.git
  sha: c022eef193e125c95a0cf728374db9126427dcaf
